Subject: Re: bug#42149: Substring and flex completion ignore implicit trailing ‘any’

From: João Távora <[email-masked]>
Date: Tue, 8 Sep 2020 11:08:26 +0100

On Tue, Sep 8, 2020 at 10:44 AM Dario Gjorgjevski <
[email-masked]> wrote:

> > I don't think so. Could you (re)state the use case where this matters?
> > That helps prioritize it.
>
> Hi João,
>
> My use case is very simple: I have a directory which, among others,
> contains files named 1, 2, etc.  It’s really annoying that C-x C-f 2 RET
> does not find 2 but instead finds some other file containing 2 in its
> name.
>

Is this is vanilla emacs, or are you using some icomplete-mode or
fido-mode?
I.e. can you post the entire Emacs -Q recipe?

> Also, I can’t start an R process by doing M-x R RET.  (You need to have
> R and ESS installed for this, of course.)

Same question. If you're using, say, fido-mode, you can probably fix this
by typing
M-j instead of RET in these one-letter completion cases. Or even C-u M-j,
if that
doesn't work.

João